Package owl.collections

## Class ValuationTree.Node<E>

- java.lang.Object
- - owl.collections.ValuationTree<E>
  - - owl.collections.ValuationTree.Node<E>

- Enclosing class:
    ValuationTree<E>

      public static final class ValuationTree.Node<E>
      extends ValuationTree<E>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class owl.collections.ValuationTree

      `ValuationTree.Leaf<E>, ValuationTree.Node<E>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `ValuationTree<E>` | `falseChild` |
    `ValuationTree<E>` | `trueChild` |
    `int` | `variable` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Set<E>` | `get​(BitSet valuation)` |
    `int` | `hashCode()` |
    `protected Map<E,​ValuationSet>` | `memoizedInverse​(ValuationSetFactory factory, Map<ValuationTree<E>,​Map<E,​ValuationSet>> memoizedCalls)` |
    `protected <T> ValuationTree<T>` | `memoizedMap​(Function<? super Set<E>,​? extends Collection<? extends T>> mapper, Map<ValuationTree<E>,​ValuationTree<T>> memoizedCalls)` |
    `String` | `toString()` |
    `Set<E>` | `values()` |

    - ### Methods inherited from class owl.collections.ValuationTree

      `inverse, map, of, of, of`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### variable

          public final int variable

    - #### trueChild

          public final ValuationTree<E> trueChild

    - #### falseChild

          public final ValuationTree<E> falseChild

  - ### Method Detail

    - #### get

          public Set<E> get​(BitSet valuation)

      Specified by:
        `get` in class `ValuationTree<E>`

    - #### values

          public Set<E> values()

      Specified by:
        `values` in class `ValuationTree<E>`

    - #### memoizedMap

          protected <T> ValuationTree<T> memoizedMap​(Function<? super Set<E>,​? extends Collection<? extends T>> mapper,
                                                     Map<ValuationTree<E>,​ValuationTree<T>> memoizedCalls)

      Specified by:
        `memoizedMap` in class `ValuationTree<E>`

    - #### memoizedInverse

          protected Map<E,​ValuationSet> memoizedInverse​(ValuationSetFactory factory,
                                                              Map<ValuationTree<E>,​Map<E,​ValuationSet>> memoizedCalls)

      Specified by:
        `memoizedInverse` in class `ValuationTree<E>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`